<?php
$wp_customize->add_panel( 'banner_settings', array(
  'priority'    => 10,
  'title'       => esc_attr__( 'Banner Settings', 'stuffpost' ),
) );

// Article Banner
  $wp_customize->add_section( 'banner_settingsa', array(
    'title'          => esc_attr__( 'Article Banner', 'stuffpost' ),
    'panel'          => 'banner_settings',
    'priority'       => 160,
  ) );
  $wp_customize->add_setting( 'articleBanner', array( 'sanitize_callback' => 'weart_sanitize_adsense',));
  $wp_customize->add_control( 'articleBanner', array(
    'label' => esc_html__( 'Article Banner', 'stuffpost' ),
    'section' => 'banner_settingsa',
    'type' => 'textarea',
  ));
  $wp_customize->add_setting( 'want_articleBanner', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_articleBanner', array(
    'label' => esc_html__( 'Display Article Banner?', 'stuffpost' ),
    'section' => 'banner_settingsa',
    'type' => 'checkbox',
  ));

//SECTION BANNERS loop
  for ($i=0;$i<=6; $i++){
    $wp_customize->add_section( 'banner_settings'.$i, array(
      'title'          => esc_attr__( 'Home Position #', 'stuffpost' ).($i+1),
      'panel'          => 'banner_settings',
      'priority'       => 160,
    ) );

    $wp_customize->add_setting( 'homeBanner_'.$i, array( 'sanitize_callback' => 'weart_sanitize_adsense',));
    $wp_customize->add_control( 'homeBanner_'.$i, array(
      'label' => esc_html__( 'Banner ','stuffpost'),
      'section' => 'banner_settings'.$i,
      'type' => 'textarea',
    ));
    $wp_customize->add_setting( 'want_homeBanner_'.$i, array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
    $wp_customize->add_control( 'want_homeBanner_'.$i, array(
      'label' => esc_html__( 'Banner On-Off', 'stuffpost' ),
      'section' => 'banner_settings'.$i,
      'type' => 'checkbox',
    ));

  }
