<?php

$wp_customize->add_panel( 'basic_settings', array(
  'priority'    => 10,
  'title'       => esc_attr__( 'Basic Settings', 'stuffpost' ),
) );
$wp_customize->add_section( 'menu_settings', array(
  'title'          => esc_attr__( 'Menu Settings', 'stuffpost' ),
  'panel'          => 'basic_settings',
  'priority'       => 160,
) );
$wp_customize->add_section( 'footer_settings', array(
  'title'          => esc_attr__( 'Footer Settings', 'stuffpost' ),
  'panel'          => 'basic_settings',
  'priority'       => 160,
) );

// HEADER Menu is fixed
  $wp_customize->add_setting( 'want_menuFixed', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuFixed', array(
    'label'          => esc_html__( 'Menu is Fixed?', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Social Icon ON-OFF
  $wp_customize->add_setting( 'want_menuSocial', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuSocial', array(
    'label'          => esc_html__( 'Menu Social Icons On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Search ON-OFF
  $wp_customize->add_setting( 'want_menuSearch', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuSearch', array(
    'label'          => esc_html__( 'Menu Search On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Logo ON-OFF
  $wp_customize->add_setting( 'want_menuLogo', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuLogo', array(
    'label'          => esc_html__( 'Menu Logo On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Tagline ON-OFF
  $wp_customize->add_setting( 'want_menuTagline', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuTagline', array(
    'label'          => esc_html__( 'Menu Tagline On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// FOOTER Copyright
  $wp_customize->add_setting( 'copyright', array('sanitize_callback' => 'weart_sanitize_text'));
  $wp_customize->add_control( 'copyright', array(
    'label' => esc_html__('Copyright Text','stuffpost'),
    'description' => esc_html__( 'Do not use HTML elements.', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'text',
  ));
// FOOTER logo
  $wp_customize->add_setting( 'want_footerLogo', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_footerLogo', array(
    'label'          => esc_html__( 'Footer Logo On-Off', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'checkbox',
  ));
// FOOTER social
  $wp_customize->add_setting( 'want_footerSocial', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_footerSocial', array(
    'label'          => esc_html__( 'Footer Social On-Off', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'checkbox',
  ));
// INfinte scroll?
  $wp_customize->add_setting( 'want_infinite', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_infinite', array(
    'label'          => esc_html__( 'Infinite Scroll On-Off', 'stuffpost' ),
    'section' => 'title_tagline',
    'type' => 'checkbox',
  ));